Phone **`810.444.4875`[PHONES_PHONE]** -NL- **`Steven Blough`[NAME]** -NL- stevenblough@gmail.co -NL- Email m -NL- Data/**`Software Engineer`[EMPLOYER_ROLE]** -NL- Locatio -NL- n Linden, Michigan -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Education`[EDUCATION_HEADING]** -NL- M.S. **`Computer Science`[EDUCATION_COURSE]** -NL- **`Oakland University`[EMPLOYER_COMPANY_NAME]** -NL- Apr. 2016 -NL- Rochester, MI. -NL- **`B.S`[EDUCATION_DEGREE]**. **`Biology`[EDUCATION_COURSE]** -NL- University of Michigan -NL- Apr. 2010 -NL- Flint, MI. -NL- **`B.S`[EDUCATION_DEGREE]**. **`Computer Science`[EDUCATION_COURSE]** -NL- University of Michigan -NL- Apr. 1999 -NL- Flint, MI. -NL- **`Professional Skills`[SKILLS_HEADING]** -NL- Years -NL- Used -NL- Python -NL- 3 -NL- SQL -NL- 8 -NL- Java -NL- 7 -NL- Scala -NL- 1 -NL- Apache Spark -NL- 1 -NL- AWS -NL- 3 -NL- Infrastructure -NL- AWS Redshift -NL- 3 -NL- DB -NL- AWS Glue -NL- 0.5 -NL- MongoDB -NL- 0.5 -NL- Neo4J Graph -NL- 0.5 -NL- DB -NL- Machine -NL- 1 -NL- Learning -NL- Git -NL- 3 -NL- Jenkins -NL- 3 -NL- Docker -NL- 1 -NL- Chef -NL- 0.5 -NL- Data Modeling -NL- 3 -NL- ETL -NL- 3 -NL- Data Analysis -NL- 2 -NL- **`My Objective`[SUMMARY_HEADING]** -NL- I like to work with data. Whether -NL- its modeling database designs, -NL- designing data ingestion -NL- processes, generating subsets for -NL- analysis, or analyzing it. I like to -NL- understand theflow of the -NL- information through the system -NL- andfind the useful ways to use it. -NL- In general, one of the most -NL- important assets a company has is -NL- their data, and it is often one of -NL- **`Steven Blough`[NAME]** -NL- **`stevenblough@gmail.com`[EMAILS_EMAIL]** -NL- Page 1 of 4 -NL- the most neglected assets. My -NL- **`Senior Data Engineer`[EMPLOYER_ROLE]** -NL- goal is to take on a position where -NL- Boston Technology -NL- Oct. 2019 – Jan. 2020 -NL- I can benefit the company by -NL- Corporation (IDEXX -NL- Laboratories) -NL- providing attention and care to not -NL- Westbrook, ME. -NL- just collecting data but to -NL-  Data model design and development -NL- reforming it so insights can be -NL- o Logical and physical ER diagrams -NL- found, and informed decisions can -NL- o Normalized data model, denormalized where -NL- be made. -NL- needed -NL-  External data source assessment and -NL- recommendation -NL- o Evaluated sources of information within the -NL- organization to determine the preferred source -NL- and method of access -NL-  Configuration and deployment of data model on -NL- PostgreSQL database -NL- o PostgreSQL 11 on Heroku -NL- o Produced idempotent DDL scripts for schema -NL- and table setup -NL-  Developed SQL scripts for application database -NL- interaction -NL-  Created automated tests for SQL scripts and -NL- database integrity -NL- o Mocha and Chai JavaScript based testing suite -NL- selected to conform with application -NL- development language -NL- SQL, PostgreSQL, Heroku, JavaScript, Mocha, Chai -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- **`CyberCoders (RolledAlloys)`[EMPLOYER_COMPANY_NAME]** July 2019 – Oct. 2019 -NL- Temperance, MI. -NL-  Support and development of Java based in-house -NL- ERP system. -NL- o Java 8 development -NL- o Agile – modified scrum process -NL- Java -NL- **`Bioinformatics Engineer`[EMPLOYER_ROLE]** -NL- **`Progenity Inc`[EMPLOYER_COMPANY_NAME]**. -NL- Apr. 2018 – June 2019 -NL- Ann Arbor, MI. -NL-  Python development in support of bioinformatics -NL- pipelines. -NL- o Develop application to control dataflow and -NL- process orchestration between external systems -NL- and bioinformatic processes. Resulting system -NL- was a combination of AWS SQS and Python 3 -NL- applications. -NL-  Designed and developed datalake/datamart strategy -NL- for information storage and use. Implemented using -NL- AWS S3, Glue, and Redshift. -NL- o Designed and developed a proof of concept -NL- datalake / datamart for data collection and -NL- analysis. Design consisted of data received and -NL- cataloged in S3 where Glue jobs would -NL- aggregate data and populate role specific -NL- Redshift datamarts. My role for this effort was to -NL- design and implement the proof of concept then -NL- to hand off and assist the support team with -NL- **`Steven Blough`[NAME]** transitioning it to production. **`stevenblough@gmail.com`[EMAILS_EMAIL]** -NL- Page 2 of 4 -NL- **`Software/Data Engineer`[EMPLOYER_ROLE]** -NL- **`SilkRoute Global`[EMPLOYER_COMPANY_NAME]** -NL- Mar. 2016 – Mar. 2018 -NL- Troy, MI. -NL-  Manage data model and databases. -NL- o Provided administration of Redshift databases, -NL- this included basic account management, table -NL- design and performance tuning. -NL-  Maintenance development on existing ETL data -NL- pipeline. -NL- o Pipeline was implemented using Python, AWS -NL- Lambda, EC2 and Redshift. Tasks included -NL- management of AWS resources, Python code -NL- changes, and creation / alteration of SQL. -NL-  Design and development of improved ETL data -NL- pipeline. -NL- o For this effort I designed a new data pipeline -NL- from proof of concept to the start of -NL- implementation. Primary components of the -NL- design were AWS S3, Kafka, Apache Spark, -NL- Redshift. -NL-  Apache Spark application development. -NL-  Assisted with machine learning projects. -NL- o Data collection and organization for machine -NL- learning initiatives. This included data ingestion, -NL- cleaning, and aggregation. -NL- o Preformed basic statistical analysis to determine -NL- the data characteristics and feature selection in -NL- preparation for application to machine learning -NL- algorithms. -NL-  Contributed to overall system architecture planning -NL- and implementation within the company. -NL- Python, AWS, Apache Spark, Scala, Kafka, Jenkins, Docker, ETL -NL- **`Research Assistant`[EMPLOYER_ROLE]** -NL- **`Oakland University`[EMPLOYER_COMPANY_NAME]** -NL- Sept. 2014 – Dec. 2015 -NL- Rochester, MI. -NL-  Efforts were focused on data analysis and machine -NL- learning. -NL-  Analyzed medical data pertaining to surgical -NL- outcomes for a local medical center. -NL-  Analyzed neurological EEG datasets using neural -NL- networks in an attempt to detect pre-seizure events. -NL- Python, Matlab, Theano, Torch -NL- **`Java/Spring Application Developer`[EMPLOYER_ROLE]** -NL- **`Oakland University`[EMPLOYER_COMPANY_NAME]** -NL- Sept. 2013 – Sept. 2014 -NL- Rochester, MI. -NL-  Designed and developed a Spring based Java -NL- application with data stored in a Neo4j graph -NL- database. -NL- Java, Spring, Neo4j -NL- Student -NL- University of Michigan -NL- Sept. 2006 – Sept. 2013 -NL- Flint, MI. -NL-  Completed a **`B.S`[EDUCATION_DEGREE]**. in biology -NL-  Began work on an M.S. in Biochemistry -NL- **`Steven Blough`[NAME]** -NL- **`stevenblough@gmail.com`[EMAILS_EMAIL]** -NL- Page 3 of 4 -NL- **`Enterprise Java Developer`[EMPLOYER_ROLE]** -NL- **`Electronic Data Systems`[EMPLOYER_COMPANY_NAME]** -NL- Apr. 2006 – Aug. 2006 -NL- (contract) -NL- Lansing, MI. -NL-  Java developer -NL-  U.S. Army project, position required security -NL- clearance. -NL- Java -NL- **`Application Development Team Leader`[EMPLOYER_ROLE]** -NL- **`Chrysler Corporation `[EMPLOYER_COMPANY_NAME]**-NL- Sept. 2001 – Dec. 2005 -NL- (contract) -NL- Auburn Hills, MI. -NL-  Oversight of development team -NL-  Application architect -NL-  Java developer -NL-  Contract position -NL- Java, SQL -NL- **`Business Consultant`[EMPLOYER_ROLE]** -NL- **`WebGain Inc`[EMPLOYER_COMPANY_NAME]**. -NL- Aug 2000 – Aug. 2001 -NL- CA. -NL-  Java application development consultant, provided -NL- services for development of proof of concept -NL- applications -NL-  Java development corporate instruction. Taught -NL- week-long enterprise java courses. -NL- Java -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- **`Ernst & Young`[EMPLOYER_COMPANY_NAME]** -NL- Mar. 2000 – Aug. 2000 -NL- Dallas TX. -NL-  Java developer -NL-  Contract position -NL- Java -NL- **`Information Analyst`[EMPLOYER_ROLE]** -NL- **`Electronic Data Systems `[EMPLOYER_COMPANY_NAME]**-NL- Sept. 1996 – Mar. 2000 -NL- Swartz Creek, MI. -NL-  Began as internship and transitioned into full time -NL- employment -NL-  COBOL development, year 2000 conversions -NL-  C++ and Java development -NL- COBOL, C++, Java -NL- **`Steven Blough`[NAME]** -NL- **`stevenblough@gmail.com`[EMAILS_EMAIL]** -NL- Page 4 of 4 -NL- 